TYPO3.Kickstart - Bug # 8177

Status: Resolved Priority: Must have
Author: Patrick Kollodzik Category:

Created: 2010-06-11 Assigned To:

Updated: 2010-10-20 Due date:

Affected Flow version:

Subject: Wrong Template name

Description

Using FLOW3 Alpha 9

/flow3 kickstart package DummyPackage

The filename of the index template for the StandardController is in lowercase, wich will result in a 404 error.

If you follow the documention "Getting Started" the example in chapter 6.2 will not work.

Associated revisions

Revision 2f5f0dc6 - 2010-06-18 11:47 - Karsten Dambekalns

[+BUGFIX] Kickstart: Now creates upperCamelCase template files, fixes #8177.

History

#1 - 2010-06-17 12:51 - Karsten Dambekalns

- Priority changed from Should have to Must have

- Start date deleted (2010-06-11)

#2 - 2010-06-17 12:56 - Christoph Moeller

Patrick Kollodzik wrote:

Using FLOW3 Alpha 9

[]

The filename of the index template for the StandardController is in lowercase, wich will result in a 404 error.

If you follow the documention "Getting Started" the example in chapter 6.2 will not work.

Just to have this searchable (cost me last night because it wasn't): in case the uppercase view filename is missing, you get the 404 page telling this:

Sorry, the page you requested was not found.
The technical reason is: No template was found. View could not be resolved for action "index".

#3 - 2010-06-17 13:02 - Bastian Waidelich
- File 8177 _v1.patch added
Attached is a patch that should resolve this issue.

Please apply and commit asap, IMO this is a big blocker for a lot of "getting started"-people

#4 - 2010-06-17 13:07 - Bastian Waidelich

Bastian Waidelich wrote:

Attached is a patch that should resolve this issue.

Please note, that you'll probably have to rename viewTemplate.html.tmpl to ViewTemplate.html.tmpl in Resources/Private/Generator/View/ as SVN
can't handle this..

#5 - 2010-06-17 13:12 - Bastian Waidelich
- File 8177 _v2.patch added

Ok, another version without the ViewTemplate.html.tmpl renaming. Just don't forget to rename it manually.

#6 - 2010-06-17 13:30 - Karsten Dambekalns

Bastian Waidelich wrote:

Please note, that you'll probably have to rename viewTemplate.html.tmpl to ViewTemplate.html.tmpl in Resources/Private/Generator/View/ as SVN

can't handle this..

Of course it can, you just need a case-sensitive file system to do it. And a reasonable client (like the CLI). Hah.

#7 - 2010-06-18 12:00 - Karsten Dambekalns
- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in changeset r4598.

Files
8177_v1.patch 2 kB 2010-06-17 Bastian Waidelich
8177_v2.patch 1kB 2010-06-17 Bastian Waidelich
